%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-mixcloud
Version:        4.1
Release:        2%{?dist}
Summary:        Mixcloud for Nuvola Player 3
License:        BSD
URL:            https://github.com/tiliado/nuvola-app-mixcloud
Source0:        https://github.com/tiliado/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.10.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of Mixcloud into your linux desktop via Nuvola Player.

%prep
%setup -q

%build
./configure --prefix=%{_prefix}
%make_build


%install
%make_install DESTDIR=%{buildroot}

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}AppMixcloud.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppMixcloud.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/mixcloud/
%{_datadir}/dbus-1/services/%{unique_name}AppMixcloud.service


%changelog
* Wed Mar 21 2018 Martin Gansser <martinkg@fedoraproject.org> - 4.1-2
- nuvolasdk >= 4.10.0 is required

* Wed Mar 21 2018 Martin Gansser <martinkg@fedoraproject.org> - 4.1-1
- Update to 4.1

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.2-4
- Remove obsolete scriptlets

* Thu Aug 10 2017 Martin Gansser <martinkg@fedoraproject.org> - 3.2-3
- correct %%{name}.metainfo.xml

* Fri Aug 04 2017 Martin Gansser <martinkg@fedoraproject.org> - 3.2-2
- correct %%description text
- correct %%{name}.metainfo.xml

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 3.2-1
- initial build
